<?php

$count_dir = dirname(realpath(__FILE__));
if (fileperms($count_dir) != 16879 && fileperms($count_dir) != 16895 && fileperms($count_dir) != 16839) {
	exit;
}

$count_dir .= '/count';
if (!is_dir($count_dir)) mkdir($count_dir, 0777);
if (fileperms($count_dir) != 16895) chmod($count_dir, 0777);

$total_file = $count_dir.'/total.txt';
if (file_exists($total_file)) {
	$fp = fopen($total_file, "r");
	$count = fgets($fp, 20);
	fclose($fp);
}
else $count = 0;

if (!$HTTP_COOKIE_VARS[visit])
{
	$date = getdate();
	$end_date = mktime(24,0,0, $date[mon], $date[mday], $date[year]);
	$now_date = mktime();
	$remain_sec = $end_date - $now_date;

	$time_file = $count_dir.'/time.txt';	//ð뺰 īƮ 
	$week_file = $count_dir.'/week.txt';	//Ϻ īƮ 
	$browser_file = $count_dir.'/browser.txt';
	$os_file = $count_dir.'/os.txt';

	$count ++;

	//ü 湮 īƮ 
	file_lock("$total_file.lock");
	$fp = fopen($total_file, "w");
	fwrite($fp, $count);
	fclose($fp);

	//ð뺰 īƮ 
	if (file_exists($time_file)) {
		$time = file($time_file);
		$time[$date[hours]] = chop($time[$date[hours]]) + 1 ."\n";
		$time_add = implode("", $time);
		$fp = fopen($time_file, "w");
		fwrite($fp, $time_add);
		fclose($fp);
	}
	else {
		$fp = fopen($time_file, "w");
		for ($i = 0; $i < 24; $i++) {
			if ($i == $date[hours]) fwrite($fp, "1\n");
			else fwrite($fp, "0\n");
		}
		fclose($fp);
	}

	//Ϻ īƮ 
	if (file_exists($week_file)) {
		$week = file($week_file);
		$wday = date('w'); 
		$week[$wday] = chop($week[$wday]) + 1 ."\n";
		$week_add = implode("", $week);
		$fp = fopen($week_file, "w");
		fwrite($fp, $week_add);
		fclose($fp);
	}
	else {
		$wday = date('w'); 
		$fp = fopen($week_file, "w");
		for ($i = 0; $i < 7; $i++) {
			if ($i == $wday) fwrite($fp, "1\n");
			else fwrite($fp, "0\n");
		}
		fclose($fp);
	}

	//Ϻ īƮ 
	$year_mon = $count_dir.'/'.$date[year].$date[mon];
	if (file_exists($year_mon)) {
		$day = file($year_mon);
		$index_num = $date[mday] - 1;
		$day[$index_num] = chop($day[$index_num]) + 1 ."\n";
		$day_add = implode("", $day);
		$fp = fopen($year_mon, "w");
		fwrite($fp, $day_add);
		fclose($fp);
	}
	else {
		$fp = fopen($year_mon, "w");
		$index_num = $date[mday] - 1;
		for ($i = 0; $i < 31; $i++) {
			if ($i == $index_num) fwrite($fp, "1\n");
			else fwrite($fp, "0\n");
		}
		fclose($fp);
	}

	$agent = check_Agent();		//ü, 

	//ü
	if (file_exists($os_file)) {
		$os = file($os_file);
		$os[$agent[0]] = chop($os[$agent[0]]) + 1 ."\n";
		$os_add = implode("", $os);
		$fp = fopen($os_file, "w");
		fwrite($fp, $os_add);
		fclose($fp);
	}
	else {
		$fp = fopen($os_file, "w");
		for ($i = 0; $i < 13; $i++) {
			if ($i == $agent[0]) fwrite($fp, "1\n");
			else fwrite($fp, "0\n");
		}
		fclose($fp);
	}

	//
	if (file_exists($browser_file)) {
		$browser = file($browser_file);
		$browser[$agent[1]] = chop($browser[$agent[1]]) + 1 ."\n";
		$browser_add = implode("", $browser);
		$fp = fopen($browser_file, "w");
		fwrite($fp, $browser_add);
		fclose($fp);
	}
	else {
		$fp = fopen($browser_file, "w");
		for ($i = 0; $i < 10; $i++) {
			if ($i == $agent[1]) fwrite($fp, "1\n");
			else fwrite($fp, "0\n");
		}
		fclose($fp);
	}
	file_unlock("$total_file.lock");
	
	setcookie("visit", "1", time()+$remain_sec);
}

//------------------------------------------------------------------------------
//   Lock & Unlock
//------------------------------------------------------------------------------
function file_lock($lock_file)
{
	while (file_exists($lock_file)) {
		$i++ ;
		if ($i < 5) sleep(1);
		else exit;
	}
	$fp = fopen($lock_file, "w");
	fclose($fp);
}

function file_unlock($lock_file)
{
	@unlink ($lock_file);
}

/*******************************************************************************
    α׷ : http_user_agent ̿ client os web brower üũ
           : navyism
           : 2002.3.18
    e-mail       : navyism@navyism.com
    homepage     : http://navyism.com
*******************************************************************************/
//------------------------------------------------------------------------------
//  os  Լ
//------------------------------------------------------------------------------
function set_OS($os, $array)
{
	for ($i = 0; $i < sizeof($array); $i++) {
		$j = $i + 1;
		if (eregi($os, $array[$i]) && eregi("^[0-9]{1,2}([\.]{1}[0-9]{1,2})*[a-z]{0,1}$", $array[$j])) {
			return $array[$j];
		}
	}
}
//------------------------------------------------------------------------------
//  browser  Լ
//------------------------------------------------------------------------------
function set_Browser($br, $array)
{
	for ($i = 0; $i < sizeof($array); $i++) {
		$j = $i + 1;
		if (eregi($br, $array[$i]) && eregi("^[0-9]{1,2}([\.]{1}[0-9]{1,2})*[a-z]{0,1}$", $array[$j])) {
			return $array[$j];
		}
	}
}
//------------------------------------------------------------------------------
//  os browser üũϴ Լ
//------------------------------------------------------------------------------
function check_Agent()
{
	global $HTTP_SERVER_VARS, $year_mon;

	$temp = $HTTP_SERVER_VARS[HTTP_USER_AGENT];
	$fp = fopen("$year_mon.log", "a");
	fwrite($fp, "$temp\n");
	fclose($fp);

	$temp = ereg_replace("/([ 0-9\.\])*%/", "", $temp);
	$temp = trim(preg_replace("/(-|_|=|\+|;)/", " ", $temp));

	$array = explode(" ", $temp);

	if (eregi("([a-z])+/", $array[0])) {
		$br_version_temp = explode("/", $array[0]);
		$br_version = $br_version_temp[1];

		if (eregi("Win|Window", $temp)) {
			if (ereg("s 3\.1|n3\.1", $temp)) $agent[0] = 0;
			elseif (ereg("s 95|n95", $temp)) $agent[0] = 1;
			elseif (ereg("s 98|n98", $temp)) $agent[0] = 2;
			elseif (ereg("s ME|nME", $temp)) $agent[0] = 3;
			elseif (ereg("s NT|nNT", $temp)) {
				if (eregi("T 5\.0| 2000", $temp)) $agent[0] = 5;
				elseif (eregi("T 5\.1| XP", $temp)) $agent[0] = 6;
				else $agent[0] = 4;
			}
			else $agent[0] = 13;
		}
		elseif (eregi("Linux", $temp)) $agent[0] = 7;
		elseif (eregi("Mac PowerPC|PPC", $temp)) $agent[0] = 8;
		elseif (eregi("Mac", $temp)) $agent[0] = 9;
		elseif (eregi("IRIX", $temp)) $agent[0] = 10;
		elseif (eregi("sunOS", $temp)) $agent[0] = 11;
		elseif (eregi("phone", $temp)) $agent[0] = 12;
		else $agent[0] = 13;
//------------------------------------------------------------------------------
		if (eregi("MSIE", $temp)) {
			$temp = set_Browser("MSIE", $array);
			if (ereg("^(4\.)", $temp)) $agent[1] = 0;
			elseif (ereg("^(5\.5)", $temp)) $agent[1] = 2;
			elseif (ereg("^(5\.)", $temp)) $agent[1] = 1;
			elseif (ereg("^(6\.)", $temp)) $agent[1] = 3;
			else $agent[1] = 10;
		}
		elseif (eregi("(\[){1}[a-z]{1,3}(\]){1}", $temp) && eregi("\]", $temp)) {
			if (ereg("^(4\.)", $br_version)) $agent[1] = 4;	//Netscape
			elseif (ereg("^(6\.)", $br_version)) $agent[1] = 5;
			else $agent[1] = 10;
		}
		elseif (eregi("MSN", $temp)) $agent[1] = 6;
		elseif (eregi("opera", $temp)) $agent[1] = 7;
		elseif (eregi("gec|gecko", $temp)) $agent[1] = 8;
		elseif (eregi("MSMB", $temp)) $agent[1] = 9;
		else $agent[1] = 10;
	}
	else {
		$agent[0] = 13;
		$agent[1] = 10;
	}
	return $agent;
}

?>
