<?php

//------------------------------------------------------------------------------
//    Byte, Kbyte, MByte  ȯ
//------------------------------------------------------------------------------
function Get_FileSize($file_size)
{
	if ($file_size >= 1073741824) {
		$file_size = round($file_size / 1073741824 * 100) / 100 . " GB";
	}
	else if ($file_size >= 1048576) {
		$file_size = round($file_size / 1048576 * 100) / 100 . " MB";
	}
	else if ($file_size >= 1024) {
		$file_size = round($file_size / 1024 * 100) / 100 . " KB";
	}
	else {
		$file_size = $file_size . " Byte";
	}

	return $file_size;
}

//------------------------------------------------------------------------------
//   ŸԿ  ̹ 
//------------------------------------------------------------------------------
function Get_FileType_Image($file)
{
	$img_type = array ("jpg", "jpeg", "gif", "bmp", "psd");
	$zip_type = array ("zip", "arj", "gz", "lha", "rar", "tar", "tgz", "ace");
	$htm_type = array ("php", "php3", "php4", "ph", "inc", "phtml", "cgi", "pl", "sh", "html", "htm", "shtml", "vbs");
	$exe_type = array ("exe", "com");
	$mp3_type = array ("mp3", "mp2", "wav", "mid");
	$ram_type = array ("ram", "ra", "rm");
	$mpeg_type = array ("avi", "mpg", "mpeg", "asf", "swf");

	$extension = array_pop(explode(".", $file));
	if (in_array($extension, $img_type)) return "type_img.gif";
	else if (in_array($extension, $zip_type)) return "type_zip.gif";
	else if (in_array($extension, $htm_type)) return "type_htm.gif";
	else if ($extension == "txt") return "type_txt.gif";
	else if ($extension == "hwp") return "type_hwp.gif";
	else if ($extension == "xls") return "type_xls.gif";
	else if ($extension == "doc") return "type_doc.gif";
	else if ($extension == "ppt") return "type_ppt.gif";
	else if (in_array($extension, $exe_type)) return "type_exe.gif";
	else if (in_array($extension, $mp3_type)) return "type_mp3.gif";
	else if (in_array($extension, $ram_type)) return "type_ram.gif";
	else if (in_array($extension, $mpeg_type)) return "type_mpeg.gif";
	else return "type_file.gif";
}

?>
