<?php

function Board_Config_View() {

	global $ADM_DIR, $ADM_PGM, $ADM, $BOARD_DIR, $group, $table, $skin;

	if (!file_exists("$BOARD_DIR/config/config.php")) {
		Error_MSG("$table  ʴ Դϴ.");
		exit;
	}

	$BBS_Skin_Main_DIR = opendir("./themes/bbs");
	while ($BBS_Skin_DIR = readdir($BBS_Skin_Main_DIR)) {
		if ($BBS_Skin_DIR != "." && $BBS_Skin_DIR != "..") {
			$BBS_Skin[] = "<option value=$BBS_Skin_DIR>$BBS_Skin_DIR</option>\n";
		}
	}
	closedir($BBS_Skin_Main_DIR);

	$Guest_Skin_Main_DIR = opendir("./themes/guestbook");
	while ($Guest_Skin_DIR = readdir($Guest_Skin_Main_DIR)) {
		if ($Guest_Skin_DIR != "." && $Guest_Skin_DIR != "..") {
			$Guest_Skin[] = "<option value=$Guest_Skin_DIR>$Guest_Skin_DIR</option>\n";
		}
	}
	closedir($Guest_Skin_Main_DIR);

	require "$BOARD_DIR/config/config.php";

	$board_name = "<input type=hidden name=board_name value=$table>".$table;
	$board_title = $CNF[board_title];

	$theme = basename($CNF[theme]);							//׸ 丮 
	if ($CNF[board_mode] == 1) {
		$bbs_mode = "checked";
		for ($i = 0; $BBS_Skin[$i]; $i++) {
			if (eregi("=$theme>", $BBS_Skin[$i])) {
				$Skin = explode(">", $BBS_Skin[$i]);
				$Skin[0] .= " selected";
				$BBS_Skin[$i] = implode(">", $Skin);
			}
		}
	}
	else {
		$guest_mode = "checked";					//Խ or   (1:Խ,2:)
		for ($i = 0; $Guest_Skin[$i]; $i++) {
			if (eregi("=$theme>", $Guest_Skin[$i])) {
				$Skin = explode(">", $Guest_Skin[$i]);
				$Skin[0] .= " selected";
				$Guest_Skin[$i] = implode(">", $Skin);
			}
		}
	}

	$board_width = preg_replace("/%/", "", $CNF[board_width]);		//Խ ũ
	if ($CNF[check_field]) $check_field = "checked";			//ü  ʵ
	if ($CNF[recommend_field]) $recommend_field = "checked";	//õ ʵ
	if ($CNF[refresh_button]) $refresh_button = "checked";		//ư 
	$rec_num = $CNF[rec_num];					// µ Ʈ 
	$page_link = $CNF[page_link];				//ؽƮ  ̵ 
	$subject_cut = $CNF[subject_cut];			//  ̻  ...   ǥ(0:)
	$search_max_cnt = $CNF[search_max_cnt];		//ѹ ˻ ִ Խù Ǽ

	if ($CNF[auto_link]) $auto_link = "checked";	// ũƮ or ̸ ּ ڵũ  
	if ($CNF[img_view]) $img_view = "checked";		//ٿ gif, jpg  뿡 ̱  
	if ($CNF[recommend_view]) $recommend_view = "checked";	//õϱ
	if ($CNF[opinion_mode]) $opinion_mode = "checked";		//ǰ߱   
	$opinion_max = $CNF[opinion_max];						//ǰ߱  
	if ($CNF[ip_view]) $ip_view = "checked";				//Խù  IP-Address   
	if ($CNF[agent_view]) $agent_view = "checked";			//Խù     
	if ($CNF[reply_mode]) $reply_mode = "checked";			// Խ  
	$reply_deps = $CNF[reply_deps];				// Խ ý 亯  
	$reply_lows = $CNF[reply_lows];				// Խ ý  Խù  ޸ ִ ۼ 

	if ($CNF[list_layout]) $list_layout = "checked";		//Խù Write   
	if ($CNF[paping_mode]) $paping_mode = "checked";		// 
	$paping_time = $CNF[paping_time];						// ѽð
	if ($CNF[upload_mode]) $upload_mode = "checked";			//ڷ    
	$upload_max = $CNF[upload_max];				//ִ  ε 
	if ($CNF[site_link]) $site_link = "checked";				//Ʈ ũ    
	if ($CNF[reply_mail_mode]) $reply_mail_mode = "checked";	//亯  ޱ   
	if ($CNF[secret_mode]) $secret_mode = "checked";			//б   
	if ($CNF[email_send]) $email_send = "checked";			//ο Խù Ͻ ڿ E-mail߼  

	if ($CNF[denied_word]) {
		$Denied_File = "$BOARD_DIR/config/denied_word.txt";
		$denied_word_check = "checked";						//ҷܾ ͸ 
	}
	else $Denied_File = "$ADM_DIR/denied_word.txt";

	$File_Size = filesize($Denied_File);			//ϻ ϱ
	$fp = fopen($Denied_File, "r");					//б 
	$denied_word = fread($fp, $File_Size);			//ϻŭ о
	fclose($fp);
	$denied_word = preg_replace("/\|/", ",", $denied_word);

	if ($BBS_Skin) $bbs_theme = implode("", $BBS_Skin);
	if ($Guest_Skin) $guest_theme = implode("", $Guest_Skin);

	$id = "b_mod";
	$onload = "onLoad='form_load();'";
	if (ereg(",", $Admin_Group)) require "$skin/admin_head_table.php";	// 彺Ų
	else require "$skin/admin_head.php";								//׷ 彺Ų
	include "$ADM_PGM/board_modify_script.php";
	require "$skin/adm_board_config.php";
	require "$skin/admin_bottom.php";
}

//------------------------------------------------------------------------------
//     õ ߴ ˻
//------------------------------------------------------------------------------
if ($HTTP_GET_VARS[ADM_DIR] || $HTTP_POST_VARS[ADM_DIR] || $HTTP_COOKIE_VARS[ADM_DIR]) {
	echo "<script>alert('  ϼ.'); history.go(-1);</script>";
	exit;
}
if (!isset($ADM_DIR)) {
	echo "<script>alert('  ϼ.'); history.go(-1);</script>";
	exit;
}
//------------------------------------------------------------------------------

if (!$table) {
	Error_MSG("Խ ȯ漳 Ķ Դϴ.");
	exit;
}

if (!is_dir($BOARD_DIR)) {
	Error_MSG(" ʰų  Խ Դϴ.");
	exit;
}

if (!$HTTP_POST_VARS[board_name]) {						//Խ ȯ漳 
	Board_Config_View();
	exit;
}

include "$ADM_PGM/board_config_write.php";
$CNF = Config_Filter();			//ȯ漳 üũ

if ($CNF[secure_list]) $Secure = "Y";
else $Secure = "_";
if ($CNF[secure_view]) $Secure .= "Y";
else $Secure .= "_";
if ($CNF[secure_write]) $Secure .= "Y";
else $Secure .= "_";

include "$ADM_PGM/file_block_change.php";
require "$ADM_DIR/group/$group.php";
$List_File = "$ADM_DIR/group/board_list/$group.php";
$File_Data = "";
File_Lock("$List_File.lock");
if ($Object = Search_Block($List_File, $table)) {
	$Board_List = explode("|", $Object);
	$Change = "<?\$board=\"|$gp|$ADM[id]|$CNF[board_name]|$CNF[board_title]|$Secure|$Board_List[6]|\"?>\n";
	Change_Block($List_File, $Object, $Change);
}
else Error_MSG("Խ Ͽ  ʴ ԽԴϴ. ְڿ  ٶϴ.");
File_Unlock("$List_File.lock");

Config_Write($CNF);				//̺ ȯ 
Refresh_Meta("b_list", $gp);

?>
