<?php

function Board_List_Convert() {

	global $ADM_DIR, $ADM_PGM, $ADM_SKIN, $group;
	include "$ADM_PGM/board_config_write.php";
	$DATE = date("Y/m/d H:i:s");						//  ð 

	$ADM_Board_DIR = opendir("./board");
	while ($Board_DIR = readdir($ADM_Board_DIR)) {
		if ($Board_DIR != "." && $Board_DIR != "..") {
			$ADM_Board[] = $Board_DIR;
		}
	}
	closedir($ADM_Board_DIR);

	$List_File = "$ADM_DIR/group/board_list/$group.php";
	if (file_exists($List_File)) {
		$fp = fopen($List_File, "w");
		fclose($fp);
	}
	for ($i = 0; $i < count($ADM_Board); $i++) {
		include "./board/$ADM_Board[$i]/config/config.php";
		$CNF[board_name] = $ADM_Board[$i];
		$CNF[board_title] = $BOARD_TITLE;
		if ($SECURE_LIST) $CNF[secure_list] = 1;
		else $CNF[secure_list] = "";
		if ($SECURE_VIEW) $CNF[secure_view] = 1;
		else $CNF[secure_view] = "";
		if ($SECURE_WRITE) $CNF[secure_write] = 1;
		else $CNF[secure_write] = "";
		$CNF[board_mode] = $BOARD_MODE;
		if ($CNF[board_mode] == 1) {
			if (!ereg("/bbs/", $THEME)) $CNF[theme] = "\$NINE_DIR/themes/bbs".strrchr($THEME, "/");
		}
		else {
			if (!ereg("/guestbook/", $THEME)) $CNF[theme] = "\$NINE_DIR/themes/guestbook".strrchr($THEME, "/");
		}
		$CNF[board_width] = $BOARD_WIDTH;
		$CNF[check_field] = $CHECK_FIELD;
		$CNF[recommend_field] = $RECOMMEND_FIELD;
		$CNF[rec_num] = $REC_NUM;
		$CNF[page_link] = $PAGE_LINK;
		$CNF[subject_cut] = $SUBJECT_CUT;
		$CNF[search_max_cnt] = $SEARCH_MAX_CNT;
		$CNF[list_view] = $LIST_VIEW;
		if ($AUTO_LINK) $CNF[auto_link] = 1;
		else $CNF[auto_link] = "";
		if ($IMG_VIEW) $CNF[img_view] = 1;
		else $CNF[img_view] = "";
		if ($RECOMMEND_VIEW) $CNF[recommend_view] = 1;
		else $CNF[recommend_view] = "";
		if ($OPINION_MODE) $CNF[opinion_mode] = 1;
		else $CNF[opinion_mode] = "";
		$CNF[opinion_max] = 0;
		if ($IP_VIEW) $CNF[ip_view] = 1;
		else $CNF[ip_view] = "";
		if ($AGENT_VIEW) $CNF[agent_view] = 1;
		else $CNF[agent_view] = "";
		if ($REPLY_MODE) $CNF[reply_mode] = 1;
		else $CNF[reply_mode] = "";
		$CNF[reply_deps] = $REPLY_DEPS;
		$CNF[reply_lows] = $REPLY_COLS;
		$CNF[dir_max_cnt] = 10000;
		$CNF[list_layout] = 1;
		$CNF[paping_mode] = 1;
		$CNF[paping_time] = 300;
		if ($UPLOAD_MODE) $CNF[upload_mode] = 1;
		else $CNF[upload_mode] = "";
		$CNF[upload_max] = $UPLOAD_MAX;
		if ($SITE_LINK) $CNF[site_link] = 1;
		else $CNF[site_link] = "";
		if ($REPLY_MAIL_MODE) $CNF[reply_mail_mode] = 1;
		else $CNF[reply_mail_mode] = "";
		if ($SECRET_MODE) $CNF[secret_mode] = 1;
		else $CNF[secret_mode] = "";
		if ($EMAIL_SEND) $CNF[email_send] = 1;
		else $CNF[email_send] = "";

		$table = $ADM_Board[$i];
		$BOARD_DIR = "./board/$table";
		//Config_Write($CNF);			//̺ ȯ 

		if ($CNF[secure_list]) $Secure = "Y";
		else $Secure = "_";
		if ($CNF[secure_view]) $Secure .= "Y";
		else $Secure .= "_";
		if ($CNF[secure_write]) $Secure .= "Y";
		else $Secure .= "_";

		include "$ADM_DIR/group/$group.php";
		File_Lock("$List_File.lock");
		$fp = fopen($List_File, "a");
		fwrite($fp, "<? \$board = '|$ADM[gup_name]|$ADM[gup_admin]|$CNF[board_name]|$CNF[board_title]|$Secure|$DATE|' ?>\n");
		fclose($fp);
		File_Unlock("$List_File.lock");
	}
	$BOARD_DIR = "./board";
	include "$ADM_PGM/adm_board_list.php";
	Table_List();
}

?>